Bug 4389 - Trigger quick slip print on empty checkout submit
Summary: Trigger quick slip print on empty checkout submit
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: PC All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-15 07:23 UTC by Tomás Cohen Arazi
Modified: 2012-10-25 23:10 UTC (History)
4 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Initial patch (1.38 KB, patch)
2011-03-09 14:34 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Missing semicolon fix (1.65 KB, patch)
2011-04-06 15:42 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Proposed patch [tt] (1.64 KB, patch)
2011-04-18 13:20 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Proposed patch [3.2.x] (1.61 KB, patch)
2011-04-18 13:26 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:26:35 UTC


---- Reported by tomascohen@gmail.com 2010-04-15 19:23:48 ----

With a simple change we can have slip receipts printed using printx_window("slip") conveniently  by pressing <Enter> on empty chekout form.
I've added a 'return true' in the end of the command so it preserves the current semantics of sending the browser to the general circulation screen.

Bernardo told me that old Print.pm code seems to still be triggered from that form. We both thought this should be cleaned out but, as-is, this solution resulted very helpful for our librarians.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:26 UTC  ---

This bug was previously known as _bug_ 4389 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=4389

Actual time not defined. Setting to 0.0
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.

Comment 1 Nicole C. Engard 2011-03-04 15:00:26 UTC
This bug says 'needs signoff' but I don't see a patch attached or a link to a patch ... is this missing a patch or wrongly labeled?
Comment 2 Tomás Cohen Arazi 2011-03-09 14:34:28 UTC Comment hidden (obsolete)
Comment 3 MJ Ray (software.coop) 2011-04-05 14:18:21 UTC
This bug is mentioned in:
[Bug 4389] Trigger quick slip print on empty	checkout submit http://lists.koha-community.org/pipermail/koha-patches/2011-March/014015.html
Comment 4 Guillaume Hatt 2011-04-05 15:07:27 UTC
This patch adds this new feature only with Mozilla Firefox. It doesn't work with Chrome/Chromium or Opera.
Further tests are needed with other web browsers, like Internet Explorer or Safari.
Guillaume
Comment 5 Tomás Cohen Arazi 2011-04-06 15:42:15 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2011-04-07 13:38:04 UTC
Hi Tomas, I have tested both patches with Firefox and Chromium on Ubuntu. It works perfectly in Firefox, but not in Chromium.
Comment 7 Tomás Cohen Arazi 2011-04-07 14:33:05 UTC
printx_window is not working on Chrome/Chromium. Is not an issue introduced in this patch.
Comment 8 Tomás Cohen Arazi 2011-04-07 16:24:14 UTC
It works in webkit based browsers once patch for [6126] is applied.
Comment 9 Chris Cormack 2011-04-13 01:08:46 UTC
6126 has been applied
Comment 10 Tomás Cohen Arazi 2011-04-18 13:20:11 UTC
Created attachment 3941 [details] [review]
Proposed patch [tt]
Comment 11 Tomás Cohen Arazi 2011-04-18 13:26:45 UTC
Created attachment 3942 [details] [review]
Proposed patch [3.2.x]
Comment 12 Chris Cormack 2011-04-19 01:23:56 UTC
Pushed for master, please test